RabbitWithIV Struct Reference

Rabbit stream cipher. More...

`#include <rabbit.h>`

Inheritance diagram for RabbitWithIV:

## Public Types

typedef SymmetricCipherFinal< ConcretePolicyHolder< RabbitWithIVPolicy, AdditiveCipherTemplate<> >, RabbitWithIVInfo > | Encryption
typedef Encryption | Decryption
Public Types inherited from SymmetricCipherDocumentation
typedef SymmetricCipher | Encryption
| implements the SymmetricCipher interface
typedef SymmetricCipher | Decryption
| implements the SymmetricCipher interface

## Additional Inherited Members

Static Public Member Functions inherited from RabbitWithIVInfo
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< 16, SimpleKeyingInterface::UNIQUE_IV, 8 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function.
Static Public Attributes inherited from FixedKeyLength< 16, SimpleKeyingInterface::UNIQUE_IV, 8 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant.

## Detailed Description

Rabbit stream cipher.

Rabbit is a stream cipher developed by Martin Boesgaard, Mette Vesterager, Thomas Pedersen, Jesper Christiansen and Ove Scavenius. Rabbit is one of the final four Profile 1 (software) ciphers selected for the eSTREAM portfolio.

Crypto++ provides Rabbit and RabbitWithIV classes. Two classes are necessary because the library lacks the means to describe and manage optional IVs.

See also
  Rabbit, The eSTREAM Project | Rabbit and Crypto++ Wiki | Rabbit.

Since
  Crypto++ 8.0

Definition at line 104 of file rabbit.h.

## Member Typedef Documentation

## Encryption

typedef SymmetricCipherFinal<ConcretePolicyHolder<RabbitWithIVPolicy, AdditiveCipherTemplate<> >, RabbitWithIVInfo> RabbitWithIV::Encryption

Definition at line 106 of file rabbit.h.

## Decryption

typedef Encryption RabbitWithIV::Decryption

Definition at line 107 of file rabbit.h.

The documentation for this struct was generated from the following file:

- rabbit.h